Subject: Re: linux-next: Tree for Aug 7 (net/bridge/netfilter/nf_conntrack_bridge.c)

From: Jeremy Sowden <[email-masked]>
Date: Mon, 23 Sep 2019 23:48:45 +0100

On 2019-09-24, at 01:26:22 +0300, Ivan Kalvachev wrote:
> On 8/7/19, Jeremy Sowden <[email-masked]> wrote:
> > On 2019-08-07, at 08:29:44 -0700, Randy Dunlap wrote:
> > > On 8/7/19 1:36 AM, Stephen Rothwell wrote:
> > > > Changes since 20190806:
> > >
> > > on i386:
> > > when CONFIG_NF_TABLES is not set/enabled:
> > >
> > >   CC      net/bridge/netfilter/nf_conntrack_bridge.o
> > > In file included from
> > > ../net/bridge/netfilter/nf_conntrack_bridge.c:21:0:
> > > ../include/net/netfilter/nf_tables.h: In function
> > > ‘nft_gencursor_next’:
> > > ../include/net/netfilter/nf_tables.h:1224:14: error: ‘const struct
> > > net’ has no member named ‘nft’; did you mean ‘nf’?
> > >   return net->nft.gencursor + 1 == 1 ? 1 : 0;
> > >               ^~~
> >
> > I've just posted a series of fixes for netfilter header compilation
> > failures, and I think it includes the fix for that:
> >
> >
> > https://lore.kernel.org/netdev/[email-masked]/T/#u
>
> Have these patches been committed?
>
> I just hit the same bug in linux-5.3.1 release.

The series is now in the mainline (and will form part of 5.4-rc1).  Greg
has queued the patch that fixes this build-failure for 5.3-stable:

  https://lore.kernel.org/netfilter-devel/[email-masked]/T/

so it should be in 5.3.2.

J.